Skip to main content
POST
/
api
/
v1
/
embeddings
/
{indexName}
/
retrieve
Retrieve embeddings
curl --request POST \
  --url https://api.example.com/api/v1/embeddings/{indexName}/retrieve \
  --header 'Content-Type: application/json' \
  --header 'X-Eigen-API-Key: <api-key>' \
  --data '
{
  "ids": [
    123
  ]
}
'
import requests

url = "https://api.example.com/api/v1/embeddings/{indexName}/retrieve"

payload = { "ids": [123] }
headers = {
"X-Eigen-API-Key": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'X-Eigen-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({ids: [123]})
};

fetch('https://api.example.com/api/v1/embeddings/{indexName}/retrieve', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "status": 200,
  "message": "2/2 embeddings successfully retrieved.",
  "data": {
    "embeddings": [
      {
        "data": [
          0.1,
          -0.2,
          0.45
        ],
        "id": 23,
        "metadata": {
          "foo": "bar"
        }
      },
      {
        "data": [
          0.2,
          -0.7,
          0.32
        ],
        "id": 67,
        "metadata": {}
      }
    ]
  }
}
{
"status": 500,
"message": "1/2 embeddings successfully retrieved.",
"data": {
"embeddings": [
{
"data": [
0.1,
-0.2,
0.45
],
"id": 23,
"metadata": {
"foo": "bar"
}
}
]
},
"error": {
"code": "EMBEDDINGS_SKIPPED",
"description": [
"embedding with ID 87 was not retrieved - embedding with ID 87 does not exist"
]
}
}

Authorizations

X-Eigen-API-Key
string
header
required

Path Parameters

indexName
string
required

Name of the index

Body

application/json
ids
number<integer>[]
required

IDs of embedding to retrieve

Response

Embeddings successfully retrieved.

status
integer
required

Status code of the response

message
string
required

Message giving basic information on the response

data
object

Important data to be given to the caller

error
object

An error that has occured